.sidebar {
  @extend %flexbox;
  overflow: auto;
  z-index: 2;
  box-shadow: $sidebar-shadow;
  .sidebar-menu {
    display: none;
    @include flex-direction(column);
    @include gradient-vertical($start-color: $sidebar-bg-color-1, $end-color: $sidebar-bg-color-2, $start-percent: 0%, $end-percent: 100%);
    z-index: 3;
    transition: all .2s ease-in-out;
     width: $sidebar-width;
    &.bg-picture {
      background-image: $sidebar-bg-picture;
      background-repeat: no-repeat;
      background-size: cover;
    }
    .sidebar-top {
      padding: $sidebar-top-padding-vertical $sidebar-top-padding-horizontal 0;
      .sidebar-logo {
        width: $sidebar-logo-width;
        height: $sidebar-logo-height;
        background-image: $sidebar-logo;
        background-repeat: $sidebar-logo-bg-repeat;
        margin: $sidebar-logo-margin;
      }
      .user-profil {
        @extend %flexbox;
        @include flex-direction(column);
        @include align-items(center);
        .user-profil-name {
          margin-top: 10px;
          font-size: $sidebar-user-name-size;
          color: $sidebar-user-name-color;
        }
        .btn-group {
          margin-top: $sidebar-user-links-block-m-t;
          overflow: hidden;
        }
        .btn {
          flex: $sidebar-user-link-flex;
          margin: $sidebar-user-link-margin;
          padding: $sidebar-user-link-padding;
          border-width: $sidebar-user-link-border-width;
          border-style: $sidebar-user-link-border-style;
          border-color: $sidebar-user-link-border-color;
          border-radius: $sidebar-user-link-border-radius;
          background-color: $sidebar-user-link-bg-color;
          color: $sidebar-user-link-color;
          &:hover, &.active {
            color: $menu-link-color;
            background-color: $menu-link-active-bg-color;
            border-left: $menu-link-active-border-left;
          }
          &.active, &.opened {
            color: $menu-link-active-color;
            background-color: $menu-link-active-bg-color;
            i:last-child {
              transform: rotate(-90deg);
            }
          }
        }
      }
      .separator {
        width: 100%;
        height: 1px;
        margin-top: 20px;
        margin-bottom: 20px;
        background-color: rgba(#fff, .2);
      }
    }
    .main-nav {
      overflow: auto;
      height: 100%;
      .menu-title {
        padding: $menu-title-padding;
        margin: $menu-title-margin;
        font-size: $menu-title-size;
        font-weight: $menu-title-weight;
      }
      ul {
        list-style: none;
        margin: 0;
        padding: 0;
        li {
          border-top: $menu-link-border-top;
          &:first-child { border-top: $sidebar-first-link-border-top }
          &:last-child { border-bottom: $menu-link-border-top; }
          a {
            @extend %flexbox;
            @include align-items(center);
            position: relative;
            color: $menu-link-color;
            padding: $menu-link-padding;
            font-size: $menu-link-size;
            font-weight: $menu-link-weight;
            border-left: $menu-link-border-left;
            &:hover, &.active {
              color: $menu-link-color;
              background-color: $menu-link-active-bg-color;
              border-left: $menu-link-active-border-left;
            }
            &.active, &.opened {
              color: $menu-link-active-color;
              background-color: $menu-link-active-bg-color;
              i:last-child {
                transform: rotate(-90deg);
              }
              & + ul {
                display: block;
              }
            }
            span { flex: 1; }
            .link-indicator {
              @extend %flexbox;
              @include align-items(center);
              @include justify-content(center);
              flex: 0;
              flex-basis: $menu-link-indicator-flex-basis;
              color: $menu-link-indicator-color;
              background-color:$menu-link-indicator-bg-color;
              border-radius: $menu-link-indicator-border-radius;
              padding: $menu-link-indicator-padding;
              line-height: 1;
              height: $menu-link-indicator-height;
              text-align: center;
            }
            i.item-icon {
              font-size: $menu-link-icon-size;
              margin: $menu-link-icon-margin;
            }
            i.arrow-icon {
              font-size: $menu-link-arrow-size;
              margin: $menu-link-arrow-margin;
            }
          }

          ul {
            background-color: rgba(#000,.2);
            padding-bottom: 10px;
            display: none;
            li {
              a {
                padding: 8px 20px 8px 52px;
                &:hover, &.active {
                  background-color: transparent;
                }
              }
            }
          }
        }
      }
    }
    @include media-breakpoint-down(sm) {
      position: fixed;
      left: 0;
      top: 0;
      bottom: 0;
      &.closed {
        -webkit-animation-name: fadeOutLeft;
        animation-name: fadeOutLeft;
        display: flex;
      }
      &.opened {
        -webkit-animation-name: fadeInLeft;
        animation-name: fadeInLeft;
        display: flex;
      }
      &.opened + .sidebar-mask {
        display: block;
      }
    }
   @include media-breakpoint-up(sm) {
      display: flex;
      &.tiny {
        width: auto;
        .sidebar-top {
          padding: $tiny-sidebar-top-padding-vertical $tiny-sidebar-top-padding-horizontal 0;
          .user-profil {
            .user-avatar-block {
              width: $user-avatar-width-mobile;
              height: $user-avatar-width-mobile;
              background-size: 120%;
              background-position: center 2px;
            }
          }
          .sidebar-logo {
            margin: 0;
            width: $tiny-sidebar-logo-width;
            height: $tiny-sidebar-logo-height;
            background-size: $tiny-sidebar-logo-width;
          }
        }
        .main-nav {
          .menu-title {
            font-size: $menu-title-size-mobile;
            padding: $tiny-sidebar-title-padding;
            margin-top: 55px;
          }
          > ul {
            > li {
              > a {
                font-size: 0;
                justify-content: center;
                justify-content: center;
                margin: $tiny-menu-link-margin;
                padding: $tiny-menu-link-padding;
                border-radius: $tiny-menu-link-border-radius;
                border-right: 6px solid transparent;
                i {
                  font-size: $tiny-menu-link-icon-size;
                  margin-right: 0;
                  &:last-child { display: none; }
                }
                span { display: none; }
                .link-indicator {
                  display: flex;
                  position: absolute;
                  right: 0;
                  bottom: 0;
                  font-size: 12px;
                  border-radius: 0;
                  padding: 0;
                  min-width: 18px;
                  height: 18px;
                }
                &.active, &.opened {
                  background: $tiny-menu-link-active-bg-color;
                  color: $tiny-menu-link-active-color;
                }
                &.active {
                  & +  ul {
                    display: none;
                  }
                }
                &.opened {
                  & +  ul {
                    position: absolute;
                    background-color: #fff;
                    border-radius: 3px;
                    margin-left: 67px;
                    margin-top: -44px;
                    box-shadow: 0 20px 30px -10px rgba(#000, .4);
                    padding: 8px 0;
                    min-width: 150px;
                    border: 1px solid rgba(0,0,0,.1);
                    &:before {
                      content:"";
                      position: absolute;
                      right: 100%;
                      top: 10px;
                      width: 0;
                      height: 0;
                      border-top: 8px solid transparent;
                      border-right: 8px solid rgba(0,0,0,.1);
                      border-bottom: 8px solid transparent;
                    }
                    &:after {
                      content:"";
                      position: absolute;
                      right: 100%;
                      top: 10px;
                      width: 0;
                      height: 0;
                      border-top: 8px solid transparent;
                      border-right: 8px solid #fff;
                      border-bottom: 8px solid transparent;
                    }

                    li {
                      a {
                        color: $first-txt-color;
                        padding: 6px 14px;
                        &:hover, &.active {
                          color: $first-color;
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

.user-avatar-block {
  width: $user-avatar-width;
  height: $user-avatar-width;
  > div {
    @extend %flexbox;
    @include justify-content(center);
    @include align-items(center);
    overflow: hidden;
    width: 100%;
    height: 100%;
    border-radius: $user-avatar-radius;
    &.user-initial {
      font-size: $user-initial-size;
      font-weight: $user-initial-weight;
      color: $user-initial-color;
      border-width: $user-inital-border-width;
      border-style: $user-inital-border-style;
      border-color: $user-inital-border-color;
      background-color: $user-initial-bg-color;
    }
    &.user-avatar {
      border-width: $user-avatar-border-width;
      border-style: $user-avatar-border-style;
      border-color: $user-avatar-border-color;
      background-color: $user-avatar-bg-color;
      img { max-width: 100%; }
    }
  }
}

.sidebar-mask {
  display: none;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 2;
  background: rgba(#000,.5);

 @include media-breakpoint-up(sm) {
    display: none;
  }
}
